"""=========================================================
با فرض اینکه عناصر ارایه ۸۰ عنصری L قبلاً ذخیره شده است. منطق
برنامه ای را طراحی کنید که ارایه شاخص های متناظر آنرا به نام
آرایه T بسازد، سپس ضمن حفظ وضعیت اولیه ارایه L، انرا با استفاده
از آرایه T به طور منطقی و به صورت نزولی مرتب و چاپ کند.
========================================================="""

L = [12,35,8,5,32,56,43]
T = list(range(len(L)))

for i in range(len(L)):
    temp = L[i]
    index = i
    temp_index = T[i]
    for j in range(i-1,-1,-1):
        if L[T[j]] < temp:
            T[j+1] = T[j]
            index = j
    T[index] = temp_index

print(L)
print(T)
